Oberon Error Messages

0	undeclared identifier
1	multiply defined identifier
2	illegal character in number
3	illegal character in string
4	identifier does not match procedure name
5	comment not closed
9	"=" expected
12	type definition starts with incorrect symbol
13	factor starts with incorrect symbol
14	statement starts with incorrect symbol
15	declaration followed by incorrect symbol
16	MODULE expected
17	number expected
18	"." missing
19	"," missing
20	":" missing
22	")" missing
23	"]" missing
24	"}" missing
25	OF missing
26	THEN missing
27	DO missing
28	TO missing
29	"(" missing
33	":=" missing
34	"," or OF expected
37	identifier expected
38	";" missing
40	END missing
43	UNTIL missing
45	EXIT not within loop statement
47	illegally marked identifier
48	unsatisfied forward reference
49	recursive import not allowed
50	expression should be constant
51	constant not an integer
52	identifier does not denote a type
53	identifier does not denote a record type
54	result type of procedure is not a basic type
55	procedure call of a function
56	assignment to non-variable
57	pointer not bound to record
58	recursive type definition
59	illegal open array parameter
60	wrong type of case label
61	inadmissible type of case label
62	case label defined more than once
63	index out of bounds
64	more actual than formal parameters
65	fewer actual than formal parameters
66	element types of actual array and formal open array differ
67	actual parameter corresponding to open array is not an array
68	control variable must be integer
73	procedure must have level 0
74	procedure unknown in base type
80	index expression not an integer
81	index out of specified bounds
82	indexed variable is not an array
83	undefined record field
84	dereferenced variable is not a pointer
85	guard or test type is not an extension of variable type
86	guard or test type is not a pointer
87	guarded or tested variable is neither a pointer nor a VAR-parameter record
88	test type is not an extension of variable type
89	test type is not a pointer
90	tested variable is neither a pointer nor a VAR-parameter record
91	control variable must be integer
92	operand of IN not an integer, or not a set
93	set element type is not an integer
94	operand of & is not of type BOOLEAN
95	operand of OR is not of type BOOLEAN
96	operand not applicable to (unary) +
97	operand not applicable to (unary) -
98	operand of ~ is not of type BOOLEAN
99	illegal value of constant
100	incompatible operands of dyadic operator
101	operand type inapplicable to *
102	operand type inapplicable to /
103	operand type inapplicable to DIV
104	operand type inapplicable to MOD
105	operand type inapplicable to +
106	operand type inapplicable to -
107	operand type inapplicable to = or #
108	operand type inapplicable to relation
110	operand is not a type
111	operand inapplicable to (this) function
112	operand is not a variable
113	incompatible assignment
114	string too long
115	parameter discrepancy between type of variable (or forward procedure) and this procedure
116	type of variable (or forward procedure) has more parameters than this procedure
117	type of variable (or forward procedure) has fewer parameters than this procedure
118	procedure result type of variable (or of forward declaration) differs from result type of this procedure
119	assigned procedure is not global
120	type of expression following IF, WHILE, or UNTIL is not BOOLEAN
121	called object is not a procedure
122	actual VAR-parameter is not a variable
123	type of actual parameter is not identical with that of formal VAR-parameter
124	type of result expression differs from that of procedure
125	type of case expression is neither INTEGER nor CHAR
126	illegal mode of operand
127	illegal mode of addressed operand
129	body of forward declared procedure not present
130	WITH clause does not specify a variable
131	LEN not applied to array
132	dimension in LEN too large or negative
140	no RETURN from module body
150	key inconsistency of imported module
151	incorrect symbol file
152	symbol file of imported module not found
153	object or symbol file not opened (disk full?)
155	generation of new symbol file not allowed
200	not yet implemented - ask for new release
201	lower bound of set range greater than higher bound
202	set element greater than MAX(SET) or less than 0
203	number too large
204	product too large
205	division by zero
206	sum too large
207	difference too large
208	too many variables in procedure
209	too much variable space needed
210	code too long
211	jump distance too large
212	buffer for identifiers and strings full
213	too many cases in case statement
214	too many exit statements
215	not enough registers: simplify expression
216	not enough floating-point registers: simplify expression
217	parameter must be an integer constant
218	illegal value of parameter (30 <= p < 256)
219	illegal value of parameter (32 <= p < 47)
220	offset too large
221	string cannot be exported
222	too many pointers (either global, or in record)
223	too many record types
224	too many pointer types
225	address of pointer variable too large (move forward in text)
226	too many exported procedures (>= 40)
227	too many imported modules
228	too many exported structures
229	too many nested records for import
230	too many constants (strings) in module
231	too many parameters in procedure
232	too many commands in module
233	record extension hierarchy too high
234	filename too large
235	size of global variables too large
236	index or base-type of the array too large
237	illegal value of parameter (p = 1 or p = -1)
238	option "i" does not allow to import the kernel
239	interrupt service procedures or trap procedure may not be called
240	illegal value of parameter  (0 <= p < 8)
241	interrupt procedure must not have parameters and must not be defined as a function
242	trap procedure must have a single shortint parameter
243	local data size too large
245	multiply defined trap procedure
246	multiply defined interrupt address
247	identifier too long
248	no external RAM present
249	external RAM too small
250	import SYSTEM to enable the inline assembler
251	illegal mnemonic
252	illegal operand
253	illegal address
254	illegal 2 kB address
255	illegal data value
256	illegal data16 value
257	illegal direct value
258	illegal bit
259	should be a constant
260	data value expected
261	register expected
262	pointer register expected
263	A expected
264	AB expected
265	DPTR expected
266	"@" expected
267	"+" expected
268	undefined label
301	warning: implicit type cast
302	warning: guarded variable can be side_effected
303	warning: open array (or pointer to array) containing pointers
401	warning: call to the not imported kernel (option "i" does not allow to import the kernel)
501	warning: ACALL/AJMP: No 2kB boundary checks, and won't be fixed up by the linker
801	warning: destination in assignment already has this value

